Bug 869623 - GUI out of sync with database after creating topic then editing it
GUI out of sync with database after creating topic then editing it
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 08:39 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 19:36:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-10-24 08:39:50 EDT
/Topic.xhtml

I created a topic.

I then went to the topic using the quick search box at the top of the screen.

I then edited the topic.

I got the angry Terminator.

I punched in the topic number to the quick search box.

I then arrived at the topic. My changes had been saved, but my original topic text was gone, and the drop-down box showed me one revision only.

So my original topic text was lost. Didn't have a revision created for it by the look of it.
Comment 1 Joshua Wulf 2012-10-24 08:43:46 EDT
I clicked on "Edit Latest Version"

The topic opened with my original text in it.

I made the change again, then saved it.

This time a revision was created.

It appears that it was not persisted on the first edit, and although the new text was displayed in the interface, the old text was the text in the database.

It's topic 12095.
Comment 2 Lee Newson 2012-10-24 18:08:53 EDT
This is an issue with how seam works when a transaction fails (from my knowledge). Essentially it keeps the Java Bean as it was before the failure and disconnects from the Persistence Context (as normally happens when a transaction is rolled back). I'm fairly sure that the error message indicates that you should relog, I'll double check that though.
Comment 3 Lee Newson 2012-11-29 07:16:38 EST
Fixed in build 20121123-1253.

I've updated all error messages I could find. I also found an issue where the seam conversation wouldn't end when some Exceptions occurred. This was more then likely what was causing the main issue as if the conversation remains active it'll try to use the database connection that has been rolled back and disconnected.

Note You need to log in before you can comment on or make changes to this bug.